Package org.apache.catalina.authenticator.jaspic

# Class SimpleAuthConfigProvider

java.lang.Object
org.apache.catalina.authenticator.jaspic.SimpleAuthConfigProvider

All Implemented Interfaces:
  `AuthConfigProvider`

public class SimpleAuthConfigProvider extends Object implements AuthConfigProvider
Basic implementation primarily intended for use when using third-party `ServerAuthModule` implementations that only provide the module.

## Constructor Summary

Constructors
Constructor
Description
`SimpleAuthConfigProvider(Map<String,String> properties, AuthConfigFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`protected ServerAuthConfig`
`createServerAuthConfig(String layer, String appContext, CallbackHandler handler, Map<String,String> properties)`
`ClientAuthConfig`
`getClientAuthConfig(String layer, String appContext, CallbackHandler handler)`
`ServerAuthConfig`
`getServerAuthConfig(String layer, String appContext, CallbackHandler handler)`
`void`
`refresh()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleAuthConfigProvider

public SimpleAuthConfigProvider(Map<String,String> properties, AuthConfigFactory factory)

## Method Details

### getClientAuthConfig

public ClientAuthConfig getClientAuthConfig(String layer, String appContext, CallbackHandler handler) throws AuthException

This implementation does not support client-side authentication and therefore always returns `null`.

Specified by:
  `getClientAuthConfig` in interface `AuthConfigProvider`
Throws:
  `AuthException`

### getServerAuthConfig

public ServerAuthConfig getServerAuthConfig(String layer, String appContext, CallbackHandler handler) throws AuthException

Specified by:
  `getServerAuthConfig` in interface `AuthConfigProvider`
Throws:
  `AuthException`

### createServerAuthConfig

protected ServerAuthConfig createServerAuthConfig(String layer, String appContext, CallbackHandler handler, Map<String,String> properties)

### refresh

public void refresh()

Specified by:
  `refresh` in interface `AuthConfigProvider`